Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152733 - Squid NTLM Authentication Buffer Overflow, CAN-2004-0541
Summary: Squid NTLM Authentication Buffer Overflow, CAN-2004-0541
Keywords:
Status: CLOSED DUPLICATE of bug 152809
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: Package request
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.idefense.com/application/p...
Whiteboard: LEGACY, QA, REVIEWED, rh90
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-08 19:54 UTC by Marc Deslauriers
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-05 22:35:52 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:25:33 UTC
Remote exploitation of a buffer overflow vulnerability in Squid Web
Proxy Cache could allow a remote attacker to execute arbitrary code.

A remote attacker can compromise a target system if Squid Proxy is
configured to use the NTLM authentication helper. The attacker can send
an overly long password to overflow the buffer and execute arbitrary
code.

iDEFENSE has confirmed the existence of this vulnerability in
Squid-Proxy 2.5.*-STABLE and 3.*-PRE when Squid-Proxy is compiled with
the NTLM helper enabled.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-08 15:56:44 ----

Looks like it applies to rh90.

Patch available:
http://www.squid-cache.org/~wessels/patch/libntlmssp.c.patch

I'll make rpms later tonight.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-08 18:26:00 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here are packages for rh9:

Changelog:
* Tue Jun 08 2004 Marc Deslauriers <marcdeslauriers@videotron.ca>
7:2.5.STABLE1-4.9.legacy
- - CAN-2004-0541 security patch (NTLM Authentication Helper Buffer Overflow)

7f5f13b50b4d84a36124e8ef78b914f2c9577c5a  squid-2.5.STABLE1-4.9.legacy.i386.rpm
fad8a25ce90cc921d527b261faceb4729f96a924  squid-2.5.STABLE1-4.9.legacy.src.rpm

http://www.infostrategique.com/linuxrpms/legacy/9/squid-2.5.STABLE1-4.9.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/squid-2.5.STABLE1-4.9.legacy.src.rpm

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAxpFOLMAs/0C4zNoRAltQAJwOJBz1B1kMMjEYNfLc99DJ7keq6gCeKeE/
75znpjmiR/lkI+nSD8y8Fqo=
=piDE
-----END PGP SIGNATURE-----




------- Additional Comments From jonny.strom@netikka.fi 2004-06-09 12:08:10 ----

I did a QA on the RH 9 packages:

SHA1 is ok.
Installs ok.
Spec file looks ok.
The patch looks ok.
I did a functionallity test with http and https and squid works as expected.

I wote for publish.



------- Additional Comments From jkeating@j2solutions.net 2004-06-16 17:56:45 ----

pushed to updates-testing:

  http://download.fedoralegacy.org/redhat/
 
d22a414bdee2eaa3bd7c067afc0c181ee78e0a68 
9/updates-testing/SRPMS/squid-2.5.STABLE1-4.10.legacy.src.rpm
3af36a2a723d62f34337a3b56f3b4a0a8705288f 
9/updates-testing/i386/squid-2.5.STABLE1-4.10.legacy.i386.rpm



------- Additional Comments From dom@earth.li 2004-09-08 13:26:21 ----

3af36a2a723d62f34337a3b56f3b4a0a8705288f 
i386/squid-2.5.STABLE1-4.10.legacy.i386.rpm
d22a414bdee2eaa3bd7c067afc0c181ee78e0a68 
SRPMS/squid-2.5.STABLE1-4.10.legacy.src.rpm

for RH9:
- installs
- runs
- builds from source

++VERIFY




------- Additional Comments From dom@earth.li 2004-09-08 13:43:25 ----

Signed...

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

3af36a2a723d62f34337a3b56f3b4a0a8705288f 
i386/squid-2.5.STABLE1-4.10.legacy.i386.rpm
d22a414bdee2eaa3bd7c067afc0c181ee78e0a68 
SRPMS/squid-2.5.STABLE1-4.10.legacy.src.rpm

for RH9:
- - installs
- - runs
- - builds from source

++VERIFY

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBP5T1YzuFKFF44qURAvO2AJ9ffWerTDOiz2eKLDM+vVdOkh4JyACeMpgi
QqM2P+WlRTpzXpNG6uQDpXY=
=F+gM
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-10 13:04:23 ----

This bug has been obsoleted by bug 2053



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:25 -------

This bug previously known as bug 1732 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1732
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 Marc Deslauriers 2005-04-05 22:35:52 UTC

*** This bug has been marked as a duplicate of 152809 ***


Note You need to log in before you can comment on or make changes to this bug.